Name:          glibd
Version:       2.2.0
Release:       2mamba
Summary:       D bindings for the GLib C Utility Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/gtkd-developers/GlibD
Source:        https://github.com/gtkd-developers/GlibD.git/v%{version}/GlibD-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libldc-devel
## AUTOBUILDREQ-END
BuildRequires: libldc-devel >= 1.21.0
BuildRequires: girtod
BuildRequires: ldc
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
D bindings for the GLib C Utility Library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       D bindings for the GLib C Utility Library.

%description -n lib%{name}
D bindings for the GLib C Utility Library.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n GlibD-%{version}

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libglibd-2.0.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/d/glibd-2
%dir %{_includedir}/d/glibd-2/gio
%{_includedir}/d/glibd-2/gio/*.d
%dir %{_includedir}/d/glibd-2/gio/c
%{_includedir}/d/glibd-2/gio/c/*.d
%dir %{_includedir}/d/glibd-2/glib
%{_includedir}/d/glibd-2/glib/*.d
%dir %{_includedir}/d/glibd-2/glib/c
%{_includedir}/d/glibd-2/glib/c/*.d
%dir %{_includedir}/d/glibd-2/gobject
%{_includedir}/d/glibd-2/gobject/*.d
%dir %{_includedir}/d/glibd-2/gobject/c
%{_includedir}/d/glibd-2/gobject/c/*.d
%dir %{_includedir}/d/glibd-2/gtkd
%{_includedir}/d/glibd-2/gtkd/*.d
%{_libdir}/libglibd-2.0.so
%{_libdir}/pkgconfig/glibd-2.0.pc
%doc README.md

%changelog
* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-2mamba
- rebuilt with libldc 1.21.0

* Wed May 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- package created using the webbuild interface
